Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core
Interface OpenCardConstants

All Known Implementing Classes:
  TracerEvent

public abstract interface OpenCardConstants

Common constants for all OpenCard Framework classes.

Field Summary
`static java.lang.String` | `APPID_ENCODING` Encoding used for application identifiers
`static java.lang.String` | `CARD_SERVICE_CACHEPATH` for future usecard service download: path where downloaded archives are cached
`static java.lang.String` | `CARD_SERVICE_CACHETIME` for future usecard service download: seconds downloaded archives are cached
`static java.lang.String` | `CARD_SERVICE_CHECK` for future usecard service download: check signature of downloaded service archive
`static java.lang.String` | `CARD_SERVICE_LISTER_CLASS` for future use: card service download : class implementing service list
`static java.lang.String` | `CARD_SERVICE_REGISTRY_TAG` card service registry tag.
`static java.lang.String` | `CARD_SERVICE_URL` for future use: card service download URL
`static java.lang.String` | `CARD_TERMINAL_REGISTRY_TAG` card terminal registry tag.
`static java.lang.String` | `DEFAULT_OPENCARD_LOADER_CLASSNAME` class name of the default property loader class.
`static java.lang.String` | `OPENCARD_DOTPROPERTIES` alternative properties file default name
`static java.lang.String` | `OPENCARD_PROPERTIES` properties file default name
`static java.lang.String` | `OPENCARD_PROPERTY` Prefix for accessing system properties.
`static int` | `SMARTCARD_REMOVED` SmartCard events 0x002.

Field Detail

### OPENCARD_PROPERTY

    public static final java.lang.String OPENCARD_PROPERTY

  Prefix for accessing system properties.

### OPENCARD_PROPERTIES

    public static final java.lang.String OPENCARD_PROPERTIES

  properties file default name

### OPENCARD_DOTPROPERTIES

    public static final java.lang.String OPENCARD_DOTPROPERTIES

  alternative properties file default name

### DEFAULT_OPENCARD_LOADER_CLASSNAME

    public static final java.lang.String DEFAULT_OPENCARD_LOADER_CLASSNAME

  class name of the default property loader class.

### CARD_SERVICE_REGISTRY_TAG

    public static final java.lang.String CARD_SERVICE_REGISTRY_TAG

  card service registry tag.

### CARD_TERMINAL_REGISTRY_TAG

    public static final java.lang.String CARD_TERMINAL_REGISTRY_TAG

  card terminal registry tag.

### APPID_ENCODING

    public static final java.lang.String APPID_ENCODING

  Encoding used for application identifiers

### SMARTCARD_REMOVED

    public static final int SMARTCARD_REMOVED

  SmartCard events 0x002.

### CARD_SERVICE_URL

    public static final java.lang.String CARD_SERVICE_URL

  for future use: card service download URL

### CARD_SERVICE_LISTER_CLASS

    public static final java.lang.String CARD_SERVICE_LISTER_CLASS

  for future use: card service download : class implementing service list

### CARD_SERVICE_CHECK

    public static final java.lang.String CARD_SERVICE_CHECK

  for future usecard service download: check signature of downloaded service archive

### CARD_SERVICE_CACHEPATH

    public static final java.lang.String CARD_SERVICE_CACHEPATH

  for future usecard service download: path where downloaded archives are cached

### CARD_SERVICE_CACHETIME

    public static final java.lang.String CARD_SERVICE_CACHETIME

  for future usecard service download: seconds downloaded archives are cached

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD